com.fasterxml.jackson.databind.util

## Class ViewMatcher

- java.lang.Object
- - com.fasterxml.jackson.databind.util.ViewMatcher

All Implemented Interfaces:
  Serializable

    public class ViewMatcher
    extends Object
    implements Serializable

Helper class used for checking whether a property is visible in the active view

See Also:
  Serialized Form

### Field Summary

Fields
`protected static ViewMatcher` `EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`ViewMatcher()`

### Method Summary

Methods
`static ViewMatcher` `construct(Class<?>[] views)`
`boolean` `isVisibleForView(Class<?> activeView)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY

    protected static final ViewMatcher EMPTY

### Constructor Detail

#### ViewMatcher

    public ViewMatcher()

### Method Detail

#### isVisibleForView

    public boolean isVisibleForView(Class<?> activeView)

#### construct

    public static ViewMatcher construct(Class<?>[] views)